# pbuf Struct Reference

`#include <pbuf.h>`

## Data Fields

uInt8 | flags
uInt16 | len
pbuf * | next
void * | payload
uInt8 | ref
uInt16 | tot_len

## Detailed Description

Definition at line 66 of file pbuf.h.

## Field Documentation

uInt8 pbuf::flags

Definition at line 70 of file pbuf.h.

uInt16 pbuf::len

Definition at line 76 of file pbuf.h.

Referenced by loopif_output(), low_level_input(), low_level_output(), netbuf_copy_partial(), netbuf_data(), and netbuf_ref().

struct pbuf* pbuf::next

Definition at line 67 of file pbuf.h.

Referenced by loopif_output(), low_level_input(), low_level_output(), netbuf_copy_partial(), and netbuf_next().

void* pbuf::payload

Definition at line 71 of file pbuf.h.

Referenced by arp_arp_input(), arp_ip_input(), arp_query(), ethernetif_input(), ethernetif_output(), loopif_output(), low_level_input(), low_level_output(), netbuf_alloc(), netbuf_copy_partial(), netbuf_data(), and netbuf_ref().

uInt8 pbuf::ref

Definition at line 70 of file pbuf.h.

uInt16 pbuf::tot_len

Definition at line 74 of file pbuf.h.

Referenced by arp_arp_input(), loopif_output(), low_level_output(), netbuf_len(), netbuf_ref(), netconn_recv(), and netconn_send().

The documentation for this struct was generated from the following file:

- src/sys/include/net/pbuf.h